# SourcePath: netbase/20170123dev
Summary: Basic TCP/IP networking system
Name: sony-target-dev-netbase
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-netbase
Version: 5.3
Release: 12010001
URL: http://ftp.debian.org/debian/pool/main/n/netbase
Source: netbase_%{version}.tar.xz
License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}
Requires: hardhatutils
%define _bindir         %{targetroot}%{sony_target_dev_bin_dir}
%define _sbindir        %{targetroot}%{sony_target_dev_sbin_dir}
%define _etcdir         %{targetroot}%{sony_target_dev_sysconf_dir}
%define _libdir         %{targetroot}%{sony_target_dev_lib_dir}
%define _datadir        %{targetroot}%{sony_target_dev_datadir}
%define _mandir         %{targetroot}%{sony_target_dev_man_dir}
%define _infodir        %{targetroot}%{sony_target_dev_info_dir}
%define _docdir         %{targetroot}%{sony_target_dev_doc_dir}


%description
This package provides the necessary infrastructure for basic TCP/IP based
networking.


%package -n %{pkgname}
Summary: Basic TCP/IP networking system
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package provides the necessary infrastructure for basic TCP/IP based
networking.


%prep
%setup -q -n netbase-%{version}


%build

echo spoofprotect=yes > debian/options
echo ip_forward=no >> debian/options
echo syncookies=no >> debian/options
echo disable_tcp_ecn=yes >> debian/options


%install
%sony_target_dev_setup
rm -rf %{buildroot}

for i in %{_bindir} %{_sbindir} %{_libdir}/perl5 %{_etcdir}/network %{_mandir}/man{5,8} ; do
    install -d %{buildroot}/$i
done
                                                                                
install -m 644 etc-protocols %{buildroot}%{_etcdir}/protocols
install -m 644 etc-rpc %{buildroot}%{_etcdir}/rpc
install -m 644 etc-services %{buildroot}%{_etcdir}/services
install -m 644 debian/options %{buildroot}%{_etcdir}/network/
                                                                                
cp debian/copyright LICENSE
rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_etcdir}/rpc
                                                                                

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%config %{_etcdir}/protocols
%config %{_etcdir}/services
%config %{_etcdir}/network/options

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Mon Jan 23 2017 Sony Corporation
- netbase version update: 5.1 -> 5.3

* Mon Apr 15 2013 Sony Corporation
- netbase version update: 4.45 -> 5.1

* Fri Feb 11 2011 Sony Corporation
- netbase version update: 4.34 -> 4.45

* Mon Mar 30 2009 Sony Corporation
- netbase version update: 4.32 -> 4.34

* Thu May 01 2008 Sony Corporation
- netbase version update: 4.21 -> 4.32

* Mon Feb 26 2007 Sony Corporation
- netbase 4.21
- /etc/gateways is removed

* Fri Jan 21 2005 Sony Corporation
- delete /etc/init.d/ files

* Thu Jan 13 2005 Sony Corporation
- delete tmpl pml files

* Wed Dec 22 2004 Sony Corporation
- remove %post scripts

* Tue Dec 21 2004 Sony Corporation
- remove LICENSE

* Wed Nov 17 2004 Sony Corporation
- modify %files & %install

* Wed Nov 17 2004 Sony Corporation
- modify %target_script_prefix_setup

* Fri Nov 12 2004 Sony Corporation
- Initial build
